Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.daemon.session
Class SessionChannelServer

    java.lang.Object
      com.sshtools.j2ssh.connection.Channel
          com.sshtools.j2ssh.connection.IOChannel
              com.sshtools.daemon.session.SessionChannelServer

public class SessionChannelServer
extends IOChannel

DOCUMENT ME!

Field Summary
`static java.lang.String` | `SESSION_CHANNEL_TYPE` DOCUMENT ME!

Fields inherited from class com.sshtools.j2ssh.connection.IOChannel
`boundInputStream, boundOutputStream, in, incoming, out`

Fields inherited from class com.sshtools.j2ssh.connection.Channel
`connection, localChannelId, localPacketSize, localWindow, remoteChannelId, remotePacketSize, remoteWindow, state`

Constructor Summary
`SessionChannelServer()` Creates a new SessionChannelServer object.

Method Summary
`byte[]` | `getChannelConfirmationData()` DOCUMENT ME!
`byte[]` | `getChannelOpenData()` DOCUMENT ME!
`java.lang.String` | `getChannelType()` DOCUMENT ME!
`protected int` | `getMaximumPacketSize()` DOCUMENT ME!
`protected int` | `getMaximumWindowSpace()` DOCUMENT ME!
`protected int` | `getMinimumWindowSpace()` DOCUMENT ME!
`protected void` | `onChangeTerminalDimensions(int cols, int rows, int width, int height)` DOCUMENT ME!
`protected void` | `onChannelClose()` DOCUMENT ME!
`protected void` | `onChannelEOF()` DOCUMENT ME!
`protected void` | `onChannelExtData(byte[] data)` DOCUMENT ME!
`protected void` | `onChannelOpen()` DOCUMENT ME!
`protected void` | `onChannelRequest(java.lang.String requestType, boolean wantReply, byte[] requestData)` DOCUMENT ME!
`protected boolean` | `onExecuteCommand(java.lang.String command)` DOCUMENT ME!
`protected boolean` | `onRequestPseudoTerminal(java.lang.String term, int cols, int rows, int width, int height, java.lang.String modes)` DOCUMENT ME!
`protected void` | `onSetEnvironmentVariable(java.lang.String name, java.lang.String value)` DOCUMENT ME!
`protected boolean` | `onStartShell()` DOCUMENT ME!
`protected boolean` | `onStartSubsystem(java.lang.String subsystem)` DOCUMENT ME!

Methods inherited from class com.sshtools.j2ssh.connection.IOChannel
`bindInputStream, bindOutputStream, getInputStream, getOutputStream, init, onChannelData, onChannelExtData, open, setLocalEOF`

Methods inherited from class com.sshtools.j2ssh.connection.Channel
`addEventListener, close, finalizeClose, getLocalChannelId, getLocalPacketSize, getLocalWindow, getName, getRemoteChannelId, getRemotePacketSize, getRemoteWindow, getState, init, isClosed, isLocalEOF, isOpen, isRemoteEOF, processChannelData, processChannelData, remoteClose, sendChannelData, sendChannelExtData, setName, setRemoteEOF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SESSION_CHANNEL_TYPE

    public static final java.lang.String SESSION_CHANNEL_TYPE

  DOCUMENT ME!

  See Also:
    Constant Field Values

Constructor Detail

### SessionChannelServer

    public SessionChannelServer()
                         throws ConfigurationException

  Creates a new SessionChannelServer object.

Throws:
  `ConfigurationException` - DOCUMENT ME!

Method Detail

### onChangeTerminalDimensions

    protected void onChangeTerminalDimensions(int cols,
                                              int rows,
                                              int width,
                                              int height)

  DOCUMENT ME!

  Parameters:
    `cols` - DOCUMENT ME!
    `rows` - DOCUMENT ME!
    `width` - DOCUMENT ME!
    `height` - DOCUMENT ME!

### onChannelClose

    protected void onChannelClose()
                           throws java.io.IOException

  DOCUMENT ME!

  Overrides:
    `onChannelClose` in class `IOChannel`
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### onChannelEOF

    protected void onChannelEOF()
                         throws java.io.IOException

  DOCUMENT ME!

  Overrides:
    `onChannelEOF` in class `IOChannel`
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### onChannelExtData

    protected void onChannelExtData(byte[] data)
                             throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `data` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### onChannelOpen

    protected void onChannelOpen()
                          throws InvalidChannelException

  DOCUMENT ME!

  Specified by:
    `onChannelOpen` in class `Channel`
  Throws:
    `InvalidChannelException` - DOCUMENT ME!

### onExecuteCommand

    protected boolean onExecuteCommand(java.lang.String command)
                                throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `command` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### onRequestPseudoTerminal

    protected boolean onRequestPseudoTerminal(java.lang.String term,
                                              int cols,
                                              int rows,
                                              int width,
                                              int height,
                                              java.lang.String modes)

  DOCUMENT ME!

  Parameters:
    `term` - DOCUMENT ME!
    `cols` - DOCUMENT ME!
    `rows` - DOCUMENT ME!
    `width` - DOCUMENT ME!
    `height` - DOCUMENT ME!
    `modes` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### onSetEnvironmentVariable

    protected void onSetEnvironmentVariable(java.lang.String name,
                                            java.lang.String value)

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
    `value` - DOCUMENT ME!

### onStartShell

    protected boolean onStartShell()
                            throws java.io.IOException

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### onStartSubsystem

    protected boolean onStartSubsystem(java.lang.String subsystem)

  DOCUMENT ME!

  Parameters:
    `subsystem` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### getChannelOpenData

    public byte[] getChannelOpenData()

  DOCUMENT ME!

  Specified by:
    `getChannelOpenData` in class `Channel`
  Returns:
    DOCUMENT ME!

### getChannelConfirmationData

    public byte[] getChannelConfirmationData()

  DOCUMENT ME!

  Specified by:
    `getChannelConfirmationData` in class `Channel`
  Returns:
    DOCUMENT ME!

### getMinimumWindowSpace

    protected int getMinimumWindowSpace()

  DOCUMENT ME!

  Specified by:
    `getMinimumWindowSpace` in class `Channel`
  Returns:
    DOCUMENT ME!

### getMaximumWindowSpace

    protected int getMaximumWindowSpace()

  DOCUMENT ME!

  Specified by:
    `getMaximumWindowSpace` in class `Channel`
  Returns:
    DOCUMENT ME!

### getMaximumPacketSize

    protected int getMaximumPacketSize()

  DOCUMENT ME!

  Specified by:
    `getMaximumPacketSize` in class `Channel`
  Returns:
    DOCUMENT ME!

### getChannelType

    public java.lang.String getChannelType()

  DOCUMENT ME!

  Specified by:
    `getChannelType` in class `Channel`
  Returns:
    DOCUMENT ME!

### onChannelRequest

    protected void onChannelRequest(java.lang.String requestType,
                                    boolean wantReply,
                                    byte[] requestData)
                             throws java.io.IOException

  DOCUMENT ME!

  Specified by:
    `onChannelRequest` in class `Channel`
  Parameters:
    `requestType` - DOCUMENT ME!
    `wantReply` - DOCUMENT ME!
    `requestData` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD